(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core'], factory) :
	(factory((global['ng2-handy-syntax-highlighter'] = {}),global.ng.core));
}(this, (function (exports,core) { 'use strict';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var HighlighterDirective = (function () {
    /**
     * @param {?} eltRef
     */
    function HighlighterDirective(eltRef) {
        this.eltRef = eltRef;
    }
    /**
     * @return {?}
     */
    HighlighterDirective.prototype.ngAfterViewInit = function () {
        this.eltRef.nativeElement.innerHTML = Prism.highlight(this.content, Prism.languages[this.language]);
    };
    return HighlighterDirective;
}());
HighlighterDirective.decorators = [
    { type: core.Directive, args: [{
                selector: '[highlighter]'
            },] },
];
/** @nocollapse */
HighlighterDirective.ctorParameters = function () { return [
    { type: core.ElementRef, },
]; };
HighlighterDirective.propDecorators = {
    "language": [{ type: core.Input },],
    "content": [{ type: core.Input },],
};
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var HandySyntaxHighlighterComponent = (function () {
    function HandySyntaxHighlighterComponent() {
    }
    return HandySyntaxHighlighterComponent;
}());
HandySyntaxHighlighterComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'handy-syntax-highlighter',
                styles: [".tag{\n    font-size:14px !important;\n    padding:0px !important;\n}\n.h1-top a{\n    color:#1f2021;\n}\npre{\n    font-size:14px !important;\n    line-height:1.4 !important;\n    padding-bottom:0px !important;\n}"],
                template: "\n        <pre class=\"language-{{language}}\">\n      <code highlighter [language]=\"language\" [content]=\"content\"></code>\n    </pre>\n    "
            },] },
];
/** @nocollapse */
HandySyntaxHighlighterComponent.ctorParameters = function () { return []; };
HandySyntaxHighlighterComponent.propDecorators = {
    "language": [{ type: core.Input },],
    "content": [{ type: core.Input },],
};
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Ng2HandySyntaxHighlighterModule = (function () {
    function Ng2HandySyntaxHighlighterModule() {
    }
    return Ng2HandySyntaxHighlighterModule;
}());
Ng2HandySyntaxHighlighterModule.decorators = [
    { type: core.NgModule, args: [{
                declarations: [HighlighterDirective, HandySyntaxHighlighterComponent],
                exports: [HandySyntaxHighlighterComponent]
            },] },
];
/** @nocollapse */
Ng2HandySyntaxHighlighterModule.ctorParameters = function () { return []; };

exports.Ng2HandySyntaxHighlighterModule = Ng2HandySyntaxHighlighterModule;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ng2-handy-syntax-highlighter.umd.js.map
