import { ElementRef, Directive, Input, Component, NgModule } from '@angular/core';
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var HighlighterDirective = (function () {
    /**
     * @param {?} eltRef
     */
    function HighlighterDirective(eltRef) {
        this.eltRef = eltRef;
    }
    /**
     * @return {?}
     */
    HighlighterDirective.prototype.ngAfterViewInit = function () {
        this.eltRef.nativeElement.innerHTML = Prism.highlight(this.content, Prism.languages[this.language]);
    };
    return HighlighterDirective;
}());
HighlighterDirective.decorators = [
    { type: Directive, args: [{
                selector: '[highlighter]'
            },] },
];
/** @nocollapse */
HighlighterDirective.ctorParameters = function () { return [
    { type: ElementRef, },
]; };
HighlighterDirective.propDecorators = {
    "language": [{ type: Input },],
    "content": [{ type: Input },],
};
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var HandySyntaxHighlighterComponent = (function () {
    function HandySyntaxHighlighterComponent() {
    }
    return HandySyntaxHighlighterComponent;
}());
HandySyntaxHighlighterComponent.decorators = [
    { type: Component, args: [{
                selector: 'handy-syntax-highlighter',
                styles: [".tag{\n    font-size:14px !important;\n    padding:0px !important;\n}\n.h1-top a{\n    color:#1f2021;\n}\npre{\n    font-size:14px !important;\n    line-height:1.4 !important;\n    padding-bottom:0px !important;\n}"],
                template: "\n        <pre class=\"language-{{language}}\">\n      <code highlighter [language]=\"language\" [content]=\"content\"></code>\n    </pre>\n    "
            },] },
];
/** @nocollapse */
HandySyntaxHighlighterComponent.ctorParameters = function () { return []; };
HandySyntaxHighlighterComponent.propDecorators = {
    "language": [{ type: Input },],
    "content": [{ type: Input },],
};
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Ng2HandySyntaxHighlighterModule = (function () {
    function Ng2HandySyntaxHighlighterModule() {
    }
    return Ng2HandySyntaxHighlighterModule;
}());
Ng2HandySyntaxHighlighterModule.decorators = [
    { type: NgModule, args: [{
                declarations: [HighlighterDirective, HandySyntaxHighlighterComponent],
                exports: [HandySyntaxHighlighterComponent]
            },] },
];
/** @nocollapse */
Ng2HandySyntaxHighlighterModule.ctorParameters = function () { return []; };
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * Generated bundle index. Do not edit.
 */
export { Ng2HandySyntaxHighlighterModule };
//# sourceMappingURL=ng2-handy-syntax-highlighter.js.map
